> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onenumber.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Recipient

## Request Path Parameters

<ParamField path="reference" type="string" placeholder="RCP_RLb78YrYmdTCE1n">
  The reference of the Recipient.
</ParamField>

## Request Body Parameters

<ResponseField name="reference" type="string">
  The reference of the Recipient.
</ResponseField>

<ResponseField name="phoneNumber" type="string">
  The phone number of the Recipient.
</ResponseField>

<ResponseField name="firstName" type="string">
  The first name of the Recipient.
</ResponseField>

<ResponseField name="lastName" type="string">
  The last name of the Recipient.
</ResponseField>

<ResponseField name="email" type="string">
  The email of the Recipient.
</ResponseField>

## Successful Response Data

<ResponseField name="statusCode" type="int" required>
  The status of the response. For successful response, value is 201. Check the Response Codes page for details.
</ResponseField>

<ResponseField name="message" type="string" required>
  The message of the response.
</ResponseField>

<ResponseField name="data" type="array">
  <Expandable title="properties">
    <ResponseField name="reference" type="string">
      The reference of the Recipient.
    </ResponseField>

    <ResponseField name="phoneNumber" type="string">
      The phone number of the Recipient.
    </ResponseField>

    <ResponseField name="firstName" type="string">
      The first name of the Recipient.
    </ResponseField>

    <ResponseField name="lastName" type="string">
      The last name of the Recipient.
    </ResponseField>

    <ResponseField name="email" type="string">
      The email of the Recipient.
    </ResponseField>
  </Expandable>
</ResponseField>
